itpp::GMM Class Reference
Source Coding Module » Source Coding Routines

Gaussian Mixture Model Class. More...

`#include <itpp/srccode/gmm.h>`

## Public Member Functions

| GMM (int nomix, int dim)
| GMM (std::string filename)
void | init_from_vq (const vec &codebook, int dim)
void | init (const vec &w_in, const mat &m_in, const mat &sigma_in)
void | load (std::string filename)
void | save (std::string filename)
void | set_weight (const vec &weights, bool compflag=true)
void | set_weight (int i, double weight, bool compflag=true)
void | set_mean (const mat &m_in)
void | set_mean (const vec &means, bool compflag=true)
void | set_mean (int i, const vec &means, bool compflag=true)
void | set_covariance (const mat &sigma_in)
void | set_covariance (const vec &covariances, bool compflag=true)
void | set_covariance (int i, const vec &covariances, bool compflag=true)
int | get_no_mixtures ()
int | get_no_gaussians () const
int | get_dimension ()
vec | get_weight ()
double | get_weight (int i)
vec | get_mean ()
vec | get_mean (int i)
vec | get_covariance ()
vec | get_covariance (int i)
void | marginalize (int d_new)
void | join (const GMM &newgmm)
void | clear ()
double | likelihood (const vec &x)
double | likelihood_aposteriori (const vec &x, int mixture)
vec | likelihood_aposteriori (const vec &x)
vec | draw_sample ()

## Protected Attributes

vec | m
vec | sigma
vec | w
int | M
int | d

## Detailed Description

Gaussian Mixture Model Class.

Author
  Thomas Eriksson

Definition at line 44 of file gmm.h.

The documentation for this class was generated from the following file:

- itpp/srccode/gmm.h

Generated on Thu Aug 20 2015 21:02:53 for IT++ by Doxygen 1.8.9.1